import { FormProps, FormSchema } from "../types";
import { Ref, ComputedRef } from "vue";
export declare const useFormSchema: ({ schemaRef, formProps, emit, defaultValue, initDefault, formModel, getSchema, isInitDefaultValue, }: {
    schemaRef: Ref<FormSchema[] | null>;
    formProps: Ref<FormProps>;
    emit: any;
    defaultValue: Ref<Record<string, any>>;
    initDefault: () => void;
    formModel: Record<string, any>;
    getSchema: ComputedRef<FormSchema[]>;
    isInitDefaultValue: Ref<boolean>;
}) => {
    addFormSchema: (schema: FormSchema | FormSchema[]) => Promise<void>;
    updateFormSchema: (schema: Partial<FormSchema> | Partial<FormSchema>[]) => Promise<void>;
    resetFormSchema: (schemas: FormSchema[]) => Promise<void>;
    removeFormSchema: (field: string | string[]) => Promise<void>;
    getFormSchemas: (field?: string | string[]) => Promise<FormSchema<string, unknown, Record<string, any>>[]>;
};
