import type { FormProps, FormSchema } from ".";
import type { ValidateError } from "./Rule";
export interface FormActionType {
    setProps: (formProps: Partial<FormProps>) => Promise<void>;
    setFieldsValue: <T extends object>(values: T) => Promise<void>;
    getFieldsValue: () => Record<string, any>;
    addFormSchema: (schema: FormSchema | FormSchema[]) => Promise<void>;
    removeFormSchema: (field: string | string[]) => Promise<void>;
    updateFormSchema: (schema: (Partial<FormSchema> & {
        field: string;
    }) | (Partial<FormSchema> & {
        field: string;
    })[]) => Promise<void>;
    getFormSchemas: (name?: string | string[]) => Promise<FormSchema[] | null>;
    resetFormSchema: (schema: FormSchema[]) => Promise<void>;
    resetFields: () => Promise<void>;
    validate: () => Promise<Record<string, any>>;
    validateFields: (keys?: string[] | string) => Promise<boolean | ValidateError>;
    clearValidate: () => Promise<void>;
    setLoading: (flag: boolean) => Promise<void>;
    collapse: (collapsed?: boolean) => boolean;
}
